Projects onedev server Issues #594
#594  Update flexmark to latest version
Released
devcharly opened 9 months ago

The currently used flexmark version 0.18.3 is pretty old (from 2017) and has some rendering issues.

Would it be possible to update to latest version 0.64.0 ?

Here is one example that does not render correct in flexmark 0.18.3, but works in latest:

text
1. ordered item
1. ordered item
1. ordered item

Robin Shen commented 9 months ago

0.64.0 requires at least Java 11. And OneDev is still on Java8 yet.

Will upgrade to 0.62.2 which is compatible with Java8. However the issue you mentioned still exists in 0.62.2.

OneDev changed state to 'Closed' 2 months ago
Previous Value Current Value
Open
Closed
OneDev commented 2 months ago

State changed as code fixing the issue is committed

OneDev changed state to 'Released' 2 months ago
Previous Value Current Value
Closed
Released
OneDev commented 2 months ago

State changed as build #3035 (7.7.0) is successful

issue 1 of 1
Type
Improvement
Priority
Normal
Assignee
Issue Votes (0)
Watchers (3)
Reference
issue onedev/server#594
Please wait...
Page is in error, reload to recover